---
type: api
title: Find and/or aggregate detection alerts
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-searchalerts
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-searchalerts
products:
  - Kibana
---

# Find and/or aggregate detection alerts

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/detection_engine/signals/search`
- `POST` `/s/{space_id}/api/detection_engine/signals/search`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Find and/or aggregate detection alerts that match the given query.

## Request Body

`application/json`

Search and/or aggregation query

- `_source` (union boolean | string | [] string) — optional
- `aggs` (object) — optional
- `fields` ([] string) — optional
- `query` (object) — optional
- `runtime_mappings` (object) — optional
- `size` (integer · min: 0) — optional
- `sort` (union) — optional
  One of: `AlertsSortCombinations[]` or `AlertsSortCombinations`
- `track_total_hits` (boolean) — optional

## Responses

#### `200`

Successful response

`application/json`

Type: `object`

#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
POST /api/detection_engine/signals/search
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/detection_engine/signals/search"
```

